@(cloudForm: Form[Cloud], clusts: List[Cluster])

@import helper._
@import helper.twitterBootstrap._

@implicitFieldConstructor = @{
    FieldConstructor(twitterBootstrapInput.render)
}

@title = {
    Create a Cloud
}

@pageTitle = {
    Create a Cloud
}

@main(title, pageTitle) {
    <script src="@routes.Assets.at("javascripts/groupClassToggle.js")" type="text/javascript"></script>

    @form(routes.CloudController.save()) {
        @inputText(cloudForm("name"), '_label -> "Group Name")

        <table class="table table-striped table-bordered">
            <thead>
                <tr>
                    <th>Cluster Name</th>
                    <th># of Cores</th>
                    <th>Memory (GB)</th>
                    <th>HDD Size (GB)</th>
                    <th>Bandwidth (Mbps)</th>
                    <th># of Nodes</th>
                    <th>Group</th>
                </tr>
            </thead>

        <tbody>
            @for(clust <- clusts) {
                <tr>
                    <td><a class="btn btn-link" href="@routes.ClusterController.edit(clust.getId.toString)">@clust.getName</a></td>
                    <td>@clust.getCores</td>
                    <td>@clust.getMemory</td>
                    <td>@clust.getHdd</td>
                    <td>@clust.getBandwidth</td>
                    <td>@clust.getNodes</td>
                    <td style="text-align:center;">
                        <input type="checkbox" id="@clust.getId.toString" name="@clust.getId.toString" />
                    </td>
                </tr>
            }
            </tbody>
        </table>

        <div id="addGroup" class="pull-left">
            <input type="submit" value="Save Cloud" class="btn btn-primary">  or
            <a class="btn btn-inverse" id="saveGroup" href="@routes.CloudController.list()" hidden="false">Cancel</a>
        </div>
    }
    <hr />
}
